#!/bin/sh

demopfx="Osas80"
# choose formlaser,formstd,formplain,form8.5x11 (subfolders)
formtype="formlaser"
# Choose chklaser,chkblank,chkpreprinted (subfolders)
chktype="chklaser"

# must be root
if [ "`id|cut -f 1 -d '('`" != "uid=0" ]
	then
	echo "You must be the root user to run this script."
	exit
fi

echo "This script will create the sample archive libraries for Osas"
echo "in /u0/unform80/arc."
echo "If they already exist, they will first be removed."
echo ""
CONTINUE=x
while [ "$CONTINUE" != "y" -a "$CONTINUE" != "n" ]
 do
 echo "Do you wish to continue? (enter y or n below):"
 read CONTINUE
done

[ "$CONTINUE" != "y" ] && exit

# clear old first
# make sure these paths match your installation!

echo "removing samples..."
rm -rf /u0/unform80/arc/$demopfx*

# mje 070910 split into subfolders
# now build demo archives ... reports
	for f in `ls osas-txt/reports/*.txt`
	do
	 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
	 echo "$f -> $pdf"
	 uf80c.sdsi -i "$f" -f `pwd`/osas7-8.rul -p pdf -o "client:$pdf" -prm "demopfx=$demopfx"
	done

# now build demo archives ... formbol
	for f in `ls osas-txt/formbol/*.txt`
	do
	 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
	 echo "$f -> $pdf"
	 uf80c.sdsi -i "$f" -f `pwd`/osas7-8.rul -p pdf -o "client:$pdf" -prm "demopfx=$demopfx"
	done

# now build demo archives ... formtype?
	for f in `ls osas-txt/$formtype/*.txt`
	do
	 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
	 echo "$f -> $pdf"
	 uf80c.sdsi -i "$f" -f `pwd`/osas7-8.rul -p pdf -o "client:$pdf" -prm "demopfx=$demopfx"
	done

# now build demo archives ... chktype?
	for f in `ls osas-txt/$chktype/*.txt`
	do
	 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
	 echo "$f -> $pdf"
	 uf80c.sdsi -i "$f" -f `pwd`/osas7-8.rul -p pdf -o "client:$pdf" -prm "demopfx=$demopfx"
	done
